# Generated by Django 4.2.3 on 2023-08-02 08:50

from django.db import migrations, models


class Migration(migrations.Migration):
    initial = True

    dependencies = []

    operations = [
        migrations.CreateModel(
            name="UsageReport",
            fields=[
                ("id", models.BigAutoField(auto_created=True, primary_key=True, serialize=False, verbose_name="ID")),
                ("new_users", models.PositiveIntegerField()),
                ("sent_invitations", models.PositiveIntegerField()),
                ("accepted_invitations", models.PositiveIntegerField()),
                ("new_quizzes", models.PositiveIntegerField()),
                ("provided_answers", models.PositiveIntegerField()),
                ("date_from", models.DateField()),
                ("date_to", models.DateField()),
            ],
            options={
                "unique_together": {("date_from", "date_to")},
            },
        ),
    ]
